getNasVolumeInstanceRatingList

Prev Next

Available in Classic

View the size of a NAS volume instance over a specific time period based on the set measurement interval.

Requests

The following describes the request format for the endpoint. The request format is as follows.

Method URI
GET | POST /server/v2/getNasVolumeInstanceRatingList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all NAS APIs, see NAS request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
nasVolumeInstanceNo String Required NAS volume instance number for which you want to view the list of volume size measurements
startTime String Required Measurement start date and time
  • yyyy-MM-dd'T'HH:mm:ssZ format
    • <Example> 2024-04-01'T'00:00:00+0900
  • URL encoding is required when using the GET method
endTime String Required Measurement end date and time
  • yyyy-MM-dd'T'HH:mm:ssZ format
    • <Example> 2024-04-01'T'23:59:59+0900
  • URL encoding is required when using the GET method
interval String Required Measurement interval
  • 5m | 6h | 1d | 1M
    • 5m: 5 minutes
    • 6h: 6 hours
    • 1d: 1 day
    • 1M: 1 month
  • Limit maximum lookup duration (startTime~endTime) based on measurement interval
    • 5m: up to 3 days
    • 6h: up to 1 month
    • 1d: up to 2 years
    • 1M: up to 5 years

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/server/v2/getNasVolumeInstanceRatingList
?nasVolumeInstanceNo=23420000
&startTime=2024-04-07T00%3A00%3A00%2B0000
&endTime=2024-04-08T00%3A00%3A00%2B0000
&interval=1d' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Responses

The following describes the response format.

Response body

See NasVolumeInstanceRating for the response body.

Response status codes

For information about the HTTP status codes common to all NAS APIs, see NAS response status codes.

Response example

The following is a sample response.

{
    "getNasVolumeInstanceRatingListResponse": {
        "totalRows": 1,
        "nasVolumeInstanceRatingList": [
            {
                "ratingTime": "20240407",
                "averageVolumeSize": 536870912000,
                "averageVolumeUseSize": 380928,
                "averageVolumeUseRatio": 0.0,
                "maxVolumeUseSize": 380928,
                "maxVolumeUseRatio": 0.0,
                "minVolumeUseSize": 380928,
                "minVolumeUseRatio": 0.0,
                "snapshotAverageVolumeSize": 0,
                "snapshotAverageVolumeUseSize": 0,
                "snapshotMaxVolumeUseSize": 0,
                "snapshotMaxVolumeUseRatio": 0.0,
                "snapshotMinVolumeUseSize": 0,
                "snapshotMinVolumeUseRatio": 0.0
            }
        ],
        "requestId": "0000bdf-ceaa-4f9f-b6a6-da1352110000",
        "returnCode": "0",
        "returnMessage": "success"
    }
}